<mat-card class="root-panel" *ngIf="assessment">
	<mat-card-header>
		<mat-card-title>Risk Assessment Questionnaire</mat-card-title>
		<div fxFlex></div>
		<div>
			<button [disabled]="answers.length < 1" mat-button (click)="onSelectBack()">
				<mat-icon class="m-r-5">undo</mat-icon>BACK
			</button>
			<button mat-button (click)="onRestart()">
				<mat-icon class="m-r-5">replay</mat-icon>RESTART
			</button>
		</div>
	</mat-card-header>
	<mat-card-content style="min-height:300px">
		<div *ngIf="activeControls.length > 0" class="controls-panel">
			<mat-list>
				<h3 mat-subheader>Controls</h3>
				<mat-list-item *ngFor="let control of activeControls">
					<mat-icon mat-list-icon>assignment_late</mat-icon>
					<h4 mat-line>
						Required action
						<span *ngIf="control.actor">by {{ control.actor }}</span>
					</h4>
					<p mat-line>{{ control.text }}</p>
				</mat-list-item>
			</mat-list>
		</div>
		<div *ngIf="activeQuestion" class="question-panel">
			{{ activeQuestion.question }}
		</div>
		<div *ngIf="riskLevel" [className]="'risk-panel lv-' + riskLevel.level">
			<mat-list>
				<h3 mat-subheader>{{ riskLevel.title }}</h3>
				<mat-list-item *ngIf="riskLevel.text">
					<mat-icon mat-list-icon>assignment</mat-icon>
					<p mat-line>{{ riskLevel.text }}</p>
				</mat-list-item>
				<mat-list-item *ngFor="let note of notes">
					<mat-icon mat-list-icon>assignment</mat-icon>
					<p mat-line>{{ note }}</p>
				</mat-list-item>
			</mat-list>
		</div>
	</mat-card-content>
	<mat-card-actions align="end">
		<div *ngIf="activeQuestion">
			<button mat-button (click)="onSelectYes()">YES</button>
			<button mat-button (click)="onSelectNo()">NO</button>
			<button mat-button [style.visibility]="activeQuestion.help ? 'visible' : 'hidden'"  (click)="onSelectDunno()">I DONT KNOW</button>
		</div>
		<button *ngIf="riskLevel" mat-button (click)="generateReport()">
			<mat-icon class="m-r-5">assessment</mat-icon>VIEW REPORT
		</button>
	</mat-card-actions>
</mat-card>
<ng-template #helpDialog>
  <h2 matDialogTitle>Question Help</h2>
  <mat-dialog-content>
    <markdown [data]="getHelpText()"></markdown>
  </mat-dialog-content>
  <mat-dialog-actions align="end">
    <button mat-button matDialogClose color="primary">DISMISS</button>
  </mat-dialog-actions>
</ng-template>
